Solved: Recent update to cups-2.2.2-4 creates problems

You'll find there general news and announcements about forums and Mageia

Solved: Recent update to cups-2.2.2-4 creates problems

Postby juergen_harms » Aug 4th, '17, 14:49

In yesterday's (Thursday 3.8.) batch of updated packages, there are 4 cups-related update packages. Several users have reported serious problems (no print, or white page instead of printed content) after installing these packages - see https://bugs.mageia.org/show_bug.cgi?id=21444.

In case you have not yet installed these packages, you better wait until this has been clarified (so far, a safe and easy method for reverting to the precedent version has not been mentioned). It is not yet clear whether the culprit is one of the cups packages themselves, or one of the other packages of that batch.

PS: a workaround for downgrading to the previous situation now exists; quoting from the mageia discuss list:
Or actually just downgrade qpdf, cups itself is fine:

urpmi --searchmedia "Release" --downgrade lib64qpdf17

(if you have qpdf, qpdf-doc or lib64qpdf-devel installed, downgrade
those too for consistency)
Last edited by juergen_harms on Aug 7th, '17, 23:16, edited 1 time in total.
juergen_harms
 
Posts: 129
Joined: Mar 30th, '11, 22:36

Re: Recent update to cups-2.2.2-4 creates problems

Postby doktor5000 » Aug 4th, '17, 19:25

Thanks for posting, changed this into global announcement for visibility.
Cauldron is not for the faint of heart!
Caution: Hot, bubbling magic inside. May explode or cook your kittens!
----
Disclaimer: Beware of allergic reactions in answer to unconstructive complaint-type posts
User avatar
doktor5000
 
Posts: 14468
Joined: Jun 4th, '11, 10:10
Location: Leipzig, Germany

Re: Recent update to cups-2.2.2-4 creates problems

Postby dfgrbac » Aug 5th, '17, 21:05

I also have this problem on Mageia 6. My printer is an HP Photosmart 7515, identified as a 7510 in the system.
I tried the downgrade suggestions, but it still has the cups filter crashing.

Some other things I noticed. The screen goes blank much longer during boot up. Dark screen messages that seemed normal before now indicate errors - too fast for me to remember.

And at least one installed application now no longer works either - qScreenshot.
dfgrbac
 
Posts: 21
Joined: Jul 8th, '14, 21:10

Re: Recent update to cups-2.2.2-4 creates problems

Postby juergen_harms » Aug 5th, '17, 23:15

dfgrbac wrote:I also have this problem on Mageia 6. My printer is an HP Photosmart 7515, identified as a 7510 in the system.


I quoted the "official opinion": only the downgrade of the package lib64qpdf17 is needed (and works for me). There is a minority of comments that claim that also the 4 cups packages need to be downgraded - you might give that a try: (as root) do
Code: Select all
urpmi --searchmedia "Release" --downgrade lib64qpdf17 cups cups-common cups-filesystem lib64cups2

Sorry for not offering more than quotes of opinions and guesses what to try as a workaround - the precise logic of this bug still needs to be clarified. And, did you make sure that you did not accidentally get installed a new upgrade of the just downgraded package? The best way to prevent this is to add, for each package to exclude from upgrading, a line into your /etc/urpmi/skip.list ( /lib64qpdf17/ for instance) - dont forget to remove these lines once things are OK again!

If your problem is solid, please help by documenting this (the type of your printer and the fact that the problem persists if only lib64qpdf17 is downgraded) in a short comment to https://bugs.mageia.org/show_bug.cgi?id=21444 !
juergen_harms
 
Posts: 129
Joined: Mar 30th, '11, 22:36

Re: Recent update to cups-2.2.2-4 creates problems

Postby doktor5000 » Aug 5th, '17, 23:28

dfgrbac wrote:Some other things I noticed. The screen goes blank much longer during boot up. Dark screen messages that seemed normal before now indicate errors - too fast for me to remember.

And at least one installed application now no longer works either - qScreenshot.

As a general hint and golden rule: Please only one problem per thread ;)
Cauldron is not for the faint of heart!
Caution: Hot, bubbling magic inside. May explode or cook your kittens!
----
Disclaimer: Beware of allergic reactions in answer to unconstructive complaint-type posts
User avatar
doktor5000
 
Posts: 14468
Joined: Jun 4th, '11, 10:10
Location: Leipzig, Germany

Re: Recent update to cups-2.2.2-4 creates problems

Postby ngompa » Aug 6th, '17, 04:59

For those of you cool people using DNF to manage your software on Mageia 6, here's the equivalent command:

Code: Select all
dnf --disablerepo=updates\* downgrade qpdf lib\*qpdf17


This should work across all architectures.
ngompa
 
Posts: 7
Joined: Dec 20th, '15, 04:43

Re: Recent update to cups-2.2.2-4 creates problems

Postby jkerr82508 » Aug 6th, '17, 08:10

If you are running 32 bit Mageia 6, the downgrade command is:
Code: Select all
urpmi --searchmedia "Release" --downgrade libqpdf17

Jim
jkerr82508
 
Posts: 932
Joined: Mar 26th, '11, 01:34
Location: Fife, Scotland

Re: Recent update to cups-2.2.2-4 creates problems

Postby doktor5000 » Aug 6th, '17, 14:14

Just for curiosity, did you test that with urpmi? Doesn't urpmi require to specify the target version for downgrades anymore? ... quite some time since I used that
Cauldron is not for the faint of heart!
Caution: Hot, bubbling magic inside. May explode or cook your kittens!
----
Disclaimer: Beware of allergic reactions in answer to unconstructive complaint-type posts
User avatar
doktor5000
 
Posts: 14468
Joined: Jun 4th, '11, 10:10
Location: Leipzig, Germany

Re: Recent update to cups-2.2.2-4 creates problems

Postby jkerr82508 » Aug 6th, '17, 17:58

Yes. It works. See
https://bugs.mageia.org/show_bug.cgi?id=21444#c7

I suppose that it works because urpmi is told to search the "Release" media, hence the target version is not needed.

Jim
jkerr82508
 
Posts: 932
Joined: Mar 26th, '11, 01:34
Location: Fife, Scotland

Re: Recent update to cups-2.2.2-4 creates problems

Postby doktor5000 » Aug 6th, '17, 19:02

Nice to know that it defaults to choosing the second newest version, same as e.g. yum/dnf do this.
Cauldron is not for the faint of heart!
Caution: Hot, bubbling magic inside. May explode or cook your kittens!
----
Disclaimer: Beware of allergic reactions in answer to unconstructive complaint-type posts
User avatar
doktor5000
 
Posts: 14468
Joined: Jun 4th, '11, 10:10
Location: Leipzig, Germany

Re: Recent update to cups-2.2.2-4 creates problems

Postby Ken-Bergen » Aug 6th, '17, 21:25

doktor5000 wrote:Nice to know that it defaults to choosing the second newest version, same as e.g. yum/dnf do this.
There is only one version in Release and it will be the oldest, so that command while it works for 6 right now will not be all that useful after multiple version updates.
Ken
Ken-Bergen
 
Posts: 1013
Joined: Mar 30th, '11, 02:45
Location: Chilliwack, BC, Canada

Re: Recent update to cups-2.2.2-4 creates problems

Postby drakeia » Aug 6th, '17, 22:32

Thanks juergen_harms !
You first post here solved my printing problem brought by the cups update.

I've read here: https://ubuntuforums.org/showthread.php ... 079&page=2
that
CUPS regularly ships updates which are plain broken,[...] It has happened so often that I have given up even trying to report the errors. I don't know why they do this [...]
There are two main errors:
[...]
• In the CUPS-supplied ps* filters there is some bug which causes the "filter failed" error message.
This has been fixed a couple of times, but repeatedly gets unfixed somehow.

So... CUPS team did it again ? :evil:
From Mandrake 5 to Mandriva until the end, Linux Mint 17, and now Mageia 5, 6
drakeia
 
Posts: 24
Joined: Sep 8th, '11, 17:46

Re: Recent update to cups-2.2.2-4 creates problems

Postby dfgrbac » Aug 6th, '17, 22:51

jkerr82508 wrote:If you are running 32 bit Mageia 6, the downgrade command is:
Code: Select all
urpmi --searchmedia "Release" --downgrade libqpdf17

Jim

Oh oh, you're right. I should have seen the 64 in the other command. Not too swift of me.

This command fixed the problem. Thank you! :)
dfgrbac
 
Posts: 21
Joined: Jul 8th, '14, 21:10

Re: Recent update to cups-2.2.2-4 creates problems

Postby juergen_harms » Aug 7th, '17, 23:15

The problem has now been solved: the cups filter packages have been rebuilt against the new lib(64)qpdf17. Presently the packages
    cups-filters-1.13.4-2.1.mga6.x86_64.rpm
    lib64cups-filters1-1.13.4-2.1.mga6.x86_64.rpm
    lib64cups-filters-devel-1.13.4-2.1.mga6.x86_64.rpm
are available for upgrading in core/update-testing, tomorrow they should have landed in the update repositories and trigger the ordinary update process. Dont forget to also upgrade lib(64)qpdf17 now in case you had done a downgrade.
juergen_harms
 
Posts: 129
Joined: Mar 30th, '11, 22:36

Re: Solved: Recent update to cups-2.2.2-4 creates problems

Postby Atticrat » Aug 22nd, '17, 22:31

Thanks for the tip. No updates have been available for the past few days, so I tried the "downgrade" mentioned at the start of this thread. My Epson ET-2550 is now printing again.
...And the crowd went wild.
Atticrat
 
Posts: 24
Joined: Jan 28th, '13, 22:39

Re: Solved: Recent update to cups-2.2.2-4 creates problems

Postby jeffrobins » Sep 17th, '17, 18:01

I'm still having this issue. Any ideas?
Firefox lists all printers and kwrite lists just Print to File. My printers are on a networked MGA5 server.

Installed, via rpm -qi:
cups-filters-1.13.4-2.1.mga6
lib64cups-filters1-1.13.4-2.1.mga6
lib64cups-filters-devel-1.13.4-2.1.mga6
lib64qpdf17-6.0.0-2.20170730.mga6
qpdf is not installed

Thanks -- Jeff
jeffrobins
 
Posts: 7
Joined: Jul 1st, '11, 08:50

Re: Solved: Recent update to cups-2.2.2-4 creates problems

Postby doktor5000 » Sep 18th, '17, 14:57

Better open a separate thread, as the issue reported via bugzilla has been reportedly fixed. Also this was for mga6, you mentioned your printers are attached to mga5 server?
Cauldron is not for the faint of heart!
Caution: Hot, bubbling magic inside. May explode or cook your kittens!
----
Disclaimer: Beware of allergic reactions in answer to unconstructive complaint-type posts
User avatar
doktor5000
 
Posts: 14468
Joined: Jun 4th, '11, 10:10
Location: Leipzig, Germany

Re: Solved: Recent update to cups-2.2.2-4 creates problems

Postby jkerr82508 » Sep 18th, '17, 17:07

jeffrobins wrote:Firefox lists all printers and kwrite lists just Print to File. My printers are on a networked MGA5 server.


I think that you may be seeing the same bug as I have:

https://bugs.mageia.org/show_bug.cgi?id=21736

On your Mageia 6 system, using the CUPS web interface to set one of the network printers as the "server default" should make that printer available in KDE apps such as kwrite.

Jim
jkerr82508
 
Posts: 932
Joined: Mar 26th, '11, 01:34
Location: Fife, Scotland

Re: Solved: Recent update to cups-2.2.2-4 creates problems

Postby jeffrobins » Sep 21st, '17, 08:51

Jim,

That solved my problem. Thanks so much.

--Jeff
jeffrobins
 
Posts: 7
Joined: Jul 1st, '11, 08:50

Re: Solved: Recent update to cups-2.2.2-4 creates problems

Postby JJF » Sep 27th, '17, 11:35

No matter what I tried, could not get cups to print to network printer
I have a Samsung ML1640 connected to windows 10 USB port.
I am able to print from:
Windows 10 local printer
Windows XP on the same LAN
Other than Mageia 6 linux distribution using CUPS
No success from Mageia 64b, either before or after downgrade.
I could have printed with Mageia 5 before I upgraded to 6
Any clue??
JJF
JJF
 
Posts: 95
Joined: Feb 13th, '14, 11:42

Re: Solved: Recent update to cups-2.2.2-4 creates problems

Postby jkerr82508 » Sep 27th, '17, 12:25

Since you upgraded from Mageia 5, it is possibly this bug:
https://bugs.mageia.org/show_bug.cgi?id=21164

The bug report includes a work-around.

Jim
jkerr82508
 
Posts: 932
Joined: Mar 26th, '11, 01:34
Location: Fife, Scotland

Re: Solved: Recent update to cups-2.2.2-4 creates problems

Postby JJF » Sep 27th, '17, 14:03

Jim

I assembled a similar LAN consisting of: windows 7 with Xerox 3130 printer connected to local USB. Could print successfully from local Win 7, Linux Ubuntu, WinXP ,All of them on the same LAN

Tried all suggestions on a freshly installed (not upgraded) Mageia 6 with no luck.
My guess is that Mageia 6 is unable to access cups remote USB printer .

Did anybody tried this configuration??

Any idia??
JJF
 
Posts: 95
Joined: Feb 13th, '14, 11:42

Re: Solved: Recent update to cups-2.2.2-4 creates problems

Postby doktor5000 » Sep 27th, '17, 16:26

Yes, please open a separate thread for your issue, and provide all the relevant details.
Cauldron is not for the faint of heart!
Caution: Hot, bubbling magic inside. May explode or cook your kittens!
----
Disclaimer: Beware of allergic reactions in answer to unconstructive complaint-type posts
User avatar
doktor5000
 
Posts: 14468
Joined: Jun 4th, '11, 10:10
Location: Leipzig, Germany


Return to News and announcements

Who is online

Users browsing this forum: No registered users and 1 guest